org.eclipse.viatra.query.runtime.api

## Class GenericQueryGroup

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup
  - - org.eclipse.viatra.query.runtime.api.GenericQueryGroup

- All Implemented Interfaces:
    IQueryGroup

      public class GenericQueryGroup
      extends BaseQueryGroup

  Generic implementation of `IQueryGroup`, covering an arbitrarily chosen set of patterns. Use the public constructor or static GenericQueryGroup.of(...) methods to instantiate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericQueryGroup(java.util.Set<IQuerySpecification<?>> patterns)` Creates a GenericQueryGroup object with a set of patterns.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<IQuerySpecification<?>>` | `getSpecifications()` Returns the currently assigned `IQuerySpecification`s.
    `static IQueryGroup` | `of(IQueryGroup... subGroups)` Creates a generic `IQueryGroup` instance from other `IQueryGroup` objects (subgroups).
    `static IQueryGroup` | `of(IQuerySpecification<?>... querySpecifications)` Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
    `static IQueryGroup` | `of(java.util.Set<IQuerySpecification<?>> querySpecifications)` Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
    `static IQueryGroup` | `of(java.util.stream.Stream<IQuerySpecification<?>> querySpecifications)` Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericQueryGroup

          public GenericQueryGroup(java.util.Set<IQuerySpecification<?>> patterns)

      Creates a GenericQueryGroup object with a set of patterns.
      Parameters:
        `patterns` -

  - ### Method Detail

    - #### getSpecifications

          public java.util.Set<IQuerySpecification<?>> getSpecifications()

      Description copied from interface: `IQueryGroup`
      Returns the currently assigned `IQuerySpecification`s.

    - #### of

          public static IQueryGroup of(java.util.stream.Stream<IQuerySpecification<?>> querySpecifications)

      Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
      Since:
        2.0

    - #### of

          public static IQueryGroup of(java.util.Set<IQuerySpecification<?>> querySpecifications)

      Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
      Parameters:
        `querySpecifications` -

    - #### of

          public static IQueryGroup of(IQuerySpecification<?>... querySpecifications)

      Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
      Parameters:
        `querySpecifications` -

    - #### of

          public static IQueryGroup of(IQueryGroup... subGroups)

      Creates a generic `IQueryGroup` instance from other `IQueryGroup` objects (subgroups).